From 52e577f62677f3c0edd25e14973e46d7b7ef803e Mon Sep 17 00:00:00 2001
From: Pablo Sun <pablo.sun@mediatek.com>
Date: Thu, 12 Dec 2024 10:02:39 +0800
Subject: [PATCH] nnapi: Suppress vla-cxx-extension and
 missing-field-initializers

Add compiler flags to suppress these warning-as-errors when
compile with newer clang versions.

| operations/Pooling.cpp:113:9: error: missing field 'activation' initializer [-Werror,-Wmissing-field-initializers]
|   113 |         };
|       |         ^

| operations/SVDF.cpp:188:19: error: variable length arrays in C++ are a Clang extension [-Werror,-Wvla-cxx-extension]
|   188 |     float scratch[batch_size * num_filters];
|       |                   ^~~~~~~~~~~~~~~~~~~~~~~~

Signed-off-by: Pablo Sun <pablo.sun@mediatek.com>
---
 Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/Makefile b/Makefile
index b1be11b7022b..e9d04518aba7 100644
--- a/Makefile
+++ b/Makefile
@@ -5,7 +5,7 @@ export OUT ROOT_DIR
 
 BUILD_NNAPI_CTS ?= 0
 
-FLAGS := -Wall -Werror -Wextra -std=c++17 -fPIC -fvisibility=default -Wno-inconsistent-missing-override -Wno-sign-compare -Wno-deprecated-declarations -Wl,--no-as-needed -Wl,--no-undefined
+FLAGS := -Wall -Werror -Wextra -std=c++17 -fPIC -fvisibility=default -Wno-inconsistent-missing-override -Wno-sign-compare -Wno-deprecated-declarations -Wno-missing-field-initializers -Wno-vla-cxx-extension -Wl,--no-as-needed -Wl,--no-undefined
 export FLAGS
 
 DEFINES = -D __ANDROID_API__=30 -D __ANDROID_API_O_MR1__=27 -D __ANDROID_API_P__=28 -D __ANDROID_API_Q__=29 -D __ANDROID_API_R__=30 -D __ANDROID_API_FUTURE__=10000 -D NNAPI_CHROMEOS -D TF_LITE_DISABLE_X86_NEON -D NN_INCLUDE_CPU_IMPLEMENTATION
-- 
2.45.2

